Bug 222232 - fix x11-servers/xorg-server build on sparc64
Summary: fix x11-servers/xorg-server build on sparc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: sparc64 Any
: --- Affects Some People
Assignee: freebsd-x11 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-11 17:58 UTC by Mark Linimon
Modified: 2019-08-14 13:36 UTC (History)
5 users (show)

See Also:
zeising: maintainer-feedback+


Attachments
patch to x11-servers/xorg-server files (1.63 KB, patch)
2017-09-11 17:58 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2017-09-11 17:58:59 UTC
Created attachment 186267 [details]
patch to x11-servers/xorg-server files

apparently glamor needs to be disabled for sparc64.  Patch is untested elsewhere.
Comment 1 Jan Beich freebsd_committer 2017-09-11 18:03:36 UTC
What was the error message on sparc64? Maybe maintainer can come up with a better fix.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2017-09-11 18:09:34 UTC
In file included from glamor.c:36:
glamor_priv.h:43:23: error: epoxy/egl.h: No such file or directory

At this point in sparc64 support I don't think it's fair to ask port maintainers to investigate any more.  There is no enthusiasm for sparc64 in the FreeBSD developer community, and actually, some outright hostility.

I do not have the cycles to investigate/fix every failure.
Comment 3 Niclas Zeising freebsd_committer 2017-12-09 20:40:33 UTC
I don't have any sparc64 hardware to test myself.  This looks OK.
Comment 4 Jan Beich freebsd_committer 2018-10-26 19:04:44 UTC
glamor requires EGL in graphics/libepoxy which in turn requires EGL in graphics/mesa-libs. Unfortunately, configure only checks for libepoxy but not its EGL support.

Why not try bug 232729 instead?
Comment 5 craig001 2018-10-27 21:54:02 UTC
Folks I can do some test building if it helps keep sparc64 going into 12-RELEASE
Comment 6 Jan Beich freebsd_committer 2018-10-28 06:21:55 UTC
(In reply to craig001 from comment #5)
sparc64 users are so rare but the progress is so fast. There's a lot of testing you can help with: bug 232729, bug 196678, bug 230298, bug 227509 but maybe others can suggest more. All of those are in various states of "soon to land" but bug 196678 is probably the most risky.

12.0R DVD packages will probably be based on 2018Q4 but only this bug or bug 232729 are safe to MFH. If bug 231931 pushes 12.0R into 2019Q1 including release packages then /quarterly stabilization will go down the drain, so this is unlikely.
Comment 7 Yoshihiko Iwama 2018-11-30 10:38:51 UTC
I built xorg-server on Ultra30 running 11.2 without applying any patches. There was no problem. The log is attached.
Comment 8 Ed Maste freebsd_committer 2019-08-14 13:36:11 UTC
Reported fixed in comment #7